Package org.apache.sling.scripting.jsp.taglib

# Class AbstractDispatcherTagHandler

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.sling.scripting.jsp.taglib.AbstractDispatcherTagHandler

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

Direct Known Subclasses:
  `ForwardTagHandler`, `IncludeTagHandler`

public abstract class AbstractDispatcherTagHandler extends javax.servlet.jsp.tagext.TagSupport
The `IncludeTagHandler` implements the `<sling:include>` custom tag.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractDispatcherTagHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`dispatch(javax.servlet.RequestDispatcher dispatcher, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`int`
`doEndTag()`
Called after the body has been processed.
`void`
`release()`
`void`
`setAddSelectors(String selectors)`
`void`
`setPageContext(javax.servlet.jsp.PageContext pageContext)`
`void`
`setPath(String path)`
`void`
`setReplaceSelectors(String selectors)`
`void`
`setReplaceSuffix(String suffix)`
`void`
`setResource(org.apache.sling.api.resource.Resource rsrc)`
`void`
`setResourceType(String rsrcType)`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractDispatcherTagHandler

public AbstractDispatcherTagHandler()

## Method Details

### doEndTag

public int doEndTag() throws javax.servlet.jsp.JspException
Called after the body has been processed.

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
Returns:
  whether additional evaluations of the body are desired
Throws:
  `javax.servlet.jsp.JspException`

### dispatch

protected abstract void dispatch(javax.servlet.RequestDispatcher dispatcher, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response) throws IOException, javax.servlet.ServletException, javax.servlet.jsp.JspTagException

Throws:
  `IOException`
  `javax.servlet.ServletException`
  `javax.servlet.jsp.JspTagException`

### setPageContext

public void setPageContext(javax.servlet.jsp.PageContext pageContext)

Specified by:
  `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `setPageContext` in class `javax.servlet.jsp.tagext.TagSupport`

### setResource

public void setResource(org.apache.sling.api.resource.Resource rsrc)

### setPath

public void setPath(String path)

### setResourceType

public void setResourceType(String rsrcType)

### setReplaceSelectors

public void setReplaceSelectors(String selectors)

### setAddSelectors

public void setAddSelectors(String selectors)

### setReplaceSuffix

public void setReplaceSuffix(String suffix)

### release

public void release()

Specified by:
  `release` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `release` in class `javax.servlet.jsp.tagext.TagSupport`